/**
 * A global variable containing a parsed list of loaded CLI arguments by preferred prefix (--) and separator (=)
 */
export declare let cliArguments: {
    [key: string]: string;
};
/**
 * Reloading CLI arguments via Config file
 * @param filePath The file path
 * @param syncArgv If to sync the new arguments into the process.argv of NodeJS.
 */
export declare function reloadFromConfigFile(filePath: string, syncArgv?: boolean): void;
/**
 * Reloading the CLI arguments
 */
export declare function reload(): void;
/**
 * Extending the existing cli arguments with given JS object
 * @param args A given JS object of arguments
 */
export declare function extend(args: {
    [key: string]: any;
}): void;
/**
 * Filtering only relevant arguments by preferred prefix (--) and separator (=)
 * @param prefix The prefix of the argument
 * @param separator The separator of the argument
 */
export declare function filterArguments(prefix: string, separator: string): {
    [key: string]: string;
};
